Skip to main content
POST
/
scoring
/
submitDocument
curl --request POST \
  --url https://api.emberqa.com/api/scoring/submitDocument \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_name": "John D",
  "media_url": "https://example.com/document.pdf",
  "metadata": {
    "example_property": "example_value",
    "example_property2": "example_value2"
  }
}
'
{
  "message": "File Accepted"
}

Document Requirements

Before submitting documents, ensure they meet these requirements:
  • Supported formats: PDF
  • Maximum file size: 50MB

Authorizations

Authorization
string
header
required

API key obtained from the EmberQA dashboard under the "Integrations" tab

Body

application/json
media_url
required

Publicly accessible URL(s) to the PDF file(s) (max 50MB each). Can be a single URL string or an array of URL strings.

Example:

"https://example.com/document.pdf"

agent_name
string

Name of the agent who handled the interaction

Example:

"John D"

metadata
object

Key-value pairs for additional document metadata

Example:
{
"example_property": "example_value",
"example_property2": "example_value2"
}

Response

File Accepted

message
string
Example:

"File Accepted"